package com.lanyuanxiaoyao.service.yarn.response;

import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnQueue;
import org.eclipse.collections.api.list.ImmutableList;

import java.util.List;

/**
 * 队列
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-23
 */
public final class QueueListResponse {
    private Scheduler scheduler;

    public Scheduler getScheduler() {
        return scheduler;
    }

    @Override
    public String toString() {
        return "QueueListResponse{" +
                "scheduler=" + scheduler +
                '}';
    }

    public static final class Scheduler {
        private RootQueue schedulerInfo;

        public RootQueue getSchedulerInfo() {
            return schedulerInfo;
        }

        @Override
        public String toString() {
            return "Scheduler{" +
                    "schedulerInfo=" + schedulerInfo +
                    '}';
        }
    }

    public static final class RootQueue {
        private Queues queues;

        public Queues getQueues() {
            return queues;
        }

        @Override
        public String toString() {
            return "RootQueue{" +
                    "queues=" + queues +
                    '}';
        }
    }

    public static final class Queues {
        private ImmutableList<YarnQueue> queue;

        public ImmutableList<YarnQueue> getQueue() {
            return queue;
        }

        @Override
        public String toString() {
            return "Queues{" +
                    "queue=" + queue +
                    '}';
        }
    }
}
